﻿<UserControl x:Class="ThinkGeo.UI.Wpf.HowDoI.DrawEditDeleteShapesUsingInteractiveOverlaySample"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:ThinkGeoUI="clr-namespace:ThinkGeo.UI.Wpf;assembly=ThinkGeo.UI.Wpf"
             mc:Ignorable="d" 
             d:DesignHeight="450" d:DesignWidth="800">
    <Grid>
        <ThinkGeoUI:MapView Grid.Column="0" Grid.Row="0" x:Name="mapView" Loaded="MapView_Loaded"/>
        <Grid Grid.Column="1" Grid.Row="0">
            <Label Grid.Column="1" Grid.Row="0" Content="Interactive Controls:" FontWeight="Bold" FontSize="16"/>
            <RadioButton Grid.Column="1" Grid.Row="1" x:Name="navMode" Content="Navigation Mode" IsChecked="True" Click="NavMode_Click"></RadioButton>
            <RadioButton Grid.Column="1" Grid.Row="2" x:Name="drawPoint" Content="Draw Point" Click="DrawPoint_Click"></RadioButton>
            <RadioButton Grid.Column="1" Grid.Row="3" x:Name="drawLine" Content="Draw Line" Click="DrawLine_Click"></RadioButton>
            <RadioButton Grid.Column="1" Grid.Row="4" x:Name="drawPolygon" Content="Draw Polygon" Click="DrawPolygon_Click"></RadioButton>
            <RadioButton Grid.Column="1" Grid.Row="5" x:Name="editShape" Content="Edit Shape" Click="EditShape_Click"></RadioButton>
            <RadioButton Grid.Column="1" Grid.Row="6" x:Name="deleteShape" Content="Delete Shape" Click="DeleteShape_Click"></RadioButton>

            <Label Grid.Column="1" Grid.Row="7" Content="Instructions:" FontWeight="Bold" FontSize="16"/>
            <TextBlock x:Name="instructions" TextWrapping="Wrap" Grid.Column="1" Grid.Row="8"></TextBlock>

            <Grid.ColumnDefinitions>
                <ColumnDefinition Width="5" />
                <ColumnDefinition Width="240" />
                <ColumnDefinition Width="5" />
            </Grid.ColumnDefinitions>
            <Grid.RowDefinitions>
                <RowDefinition Height="Auto"/>
                <RowDefinition Height="Auto"/>
                <RowDefinition Height="Auto"/>
                <RowDefinition Height="Auto"/>
                <RowDefinition Height="Auto"/>
                <RowDefinition Height="Auto"/>
                <RowDefinition Height="Auto"/>
                <RowDefinition Height="Auto"/>
                <RowDefinition Height="Auto"/>
                <RowDefinition/>
            </Grid.RowDefinitions>

        </Grid>
        <!-- Grid Layout -->
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="*" />
            <ColumnDefinition Width="Auto" />
        </Grid.ColumnDefinitions>
        <Grid.RowDefinitions>
            <RowDefinition Height="*"/>
        </Grid.RowDefinitions>
    </Grid>

    <UserControl.Resources>
        <Style TargetType="Label">
            <Setter Property="Foreground" Value="WhiteSmoke"></Setter>
        </Style>
        <Style TargetType="Grid">
            <Setter Property="Background" Value="DimGray"></Setter>
        </Style>
        <Style TargetType="TextBox">
            <Setter Property="Height" Value="20"></Setter>
        </Style>
        <Style TargetType="TextBlock">
            <Setter Property="Foreground" Value="WhiteSmoke"></Setter>
            <Setter Property="Margin" Value="4"></Setter>
        </Style>
        <Style TargetType="Button">
            <Setter Property="Height" Value="22"></Setter>
            <Setter Property="Margin" Value="0,10,0,0"></Setter>
        </Style>
        <Style TargetType="ComboBox">
            <Setter Property="Height" Value="20"></Setter>
        </Style>
        <Style TargetType="RadioButton">
            <Setter Property="Foreground" Value="WhiteSmoke"></Setter>
            <Setter Property="Margin" Value="8,0,0,0"></Setter>
        </Style>
        <Style TargetType="CheckBox">
            <Setter Property="Foreground" Value="WhiteSmoke"></Setter>
        </Style>
    </UserControl.Resources>
</UserControl>
